package ds;
import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;

/** Main form of the disctionary.
  * @author Daniel Stoinski
  * @version $Revision: 26 $
  */
public class DictMidlet extends MIDlet {

  /** Configuration of the application.
    */
  private Config m_cfg;

  /** The main form of the application.
    * Here we make any output visible in the application.
    */
  private MainForm m_form;

  /** Creates the form.
    */
  public DictMidlet() {
    this.m_cfg = new Config();
    this.m_form = new MainForm(this);
  } // First()

  /** Called, if the application starts.
    * Sets m_form as the form of the application.
    */
  public void startApp() {
    Display.getDisplay(this).setCurrent(this.m_form);
  } // startApp()

  /** Does absolutely nothing.
    */
  public void pauseApp() {
  } // pauseApp()
  
  /** Does absolutely nothing.
    * @param unconditional ignored
    */
  public void destroyApp(boolean unconditional) {
  } // destroyApp()

  /** Returns the main form of this midlet.
    * @return the main form.
    */
  public MainForm getMainForm() {
    return this.m_form;
  } // getMainForm()

  /** Gets the applications configuration.
    * @return the configuration.
    */
  public Config getCfg() {
    return this.m_cfg;
  } // getCfg()

} // class DictMidlet

