package ds;

/** Interface for subsequent threads.
  * @author Daniel Stoinski
  * @version $Revision: 13 $
  */
public interface IDictForm {

  /** Shows the given message in a swuitable form.
    * For example in an alert box.
    * @param msg the message to log
    */
  public void message(Object msg);

  /** Shows the given percentage progress.
    * For example in a gauge.
    * @param percents  the number of percents to show.
    */
  public void progress(int percents);

} // IDictForm

